<?php
namespace App\Utils;

class XMLLoader
{
    private $tree = [];

    public function loadXML($xml, $path = null)
    {
        while ($xml->read()) {
            if ($xml->nodeType == \XMLReader::END_ELEMENT) {
                return;
            } else if ($xml->nodeType == \XMLReader::ELEMENT) {
                $newPath = $path.$xml->name;

                $this->addTreeValue($xml->name, $newPath);
                if (!$xml->isEmptyElement) {
                    $this->loadXML($xml, $newPath.'/');
                }

            }
        }
    }

    public function addTreeValue(string $name, string $path)
    {
        $newTree = $this->getTree();
        if ($this->inArrayCustom($path, $newTree)) {
            $newTree[sizeof($newTree) + 1] = ['tag' => $name, 'path' => $path];
            $this->setTree($newTree);
        }
    }

    private function inArrayCustom($path, $array)
    {
        foreach ($array as $arr) {
            if ($path == $arr['path']) {
                return false;
            }
        }
        return true;
    }

    /**
     * @return array
     */
    public function getTree(): array
    {
        return $this->tree;
    }

    /**
     * @param array $tree
     */
    public function setTree(array $tree): void
    {
        $this->tree = $tree;
    }
}
